Hello Human, 

You are receiving this email because a super awesome robot created a user account for you on some unix hosts. 

Your sweet new user name is: {{ item.name }}

Attached is a zip file containing your ssh keys which you will need to authenticate. For security purposes, this zip file is password protected. Please check with your friendly local human to obtain this password. Included in this zip file is a handy ssh config. Place this file (along with your keys) in your ~/.ssh/ directory. This config file contains all of the hosts you have access to.

A temporary password has been assigned to this user id. You will need it to log in for the first time on each host. Tedious, I know, but we don't have SSO or LDAP for these things so get over it. When you do log in for the first time, you will be prompted to change this password to something perhaps more familiar but ideally no less secure. You will only need this temporary password for the first time you log in, after which you will only authenticate with your ssh keys. You will however need a password to use sudo.

Your temporary random password is: {{ random_password.stdout }}

Please make sure your ssh keys and config file have proper permissions set to avoid any troubles logging in.

If you run; `chmod 700 ~/.ssh && chmod 600 ~/.ssh/id_ed25519*` && chmod 600 ~/.ssh/config` you should be ok.

Password requirements; 

9 characters, a mix of upper,lower,numbers and special characters. 

Why 9 characters? Because no one ever suspects nine. 

Your password will expire every 180 days, so make sure you somehow remember it. Best security practices say to write it down on a sticky note and leave it on your laptop. 

Just kidding, a little robot humor there. Ha. Ha. Best to get it tattooed.

Thank you for your cooperation, I look forward to you logging into me.

Yours Truly, 
cfgmgmbot01-ops

p.s. When you log in for the first time and change your password, you will see something like: 
---
passwd: all authentication tokens updated successfully.
Connection to 13.92.192.228 closed.
---
This is a good thing. After you see this you can log back in using your ssh key. 
